package sorting;
import java.util.*;
import tester.*;

public class Examples{
	
	Algorithms aa = new Algorithms();
	
	City nyc = new City();
	City boston = new City(02115, "Boston", "MA", 78.123345, 40.987654);
	City bos = new City(this.boston);
	
	City northville = new City(48167, "Northville", "MI", 83.479355, 42.426245);
	City pinckney = new City(48169, "Pinckney", "MI", 83.909918, 42.459579);
	City plymouth = new City(48170, "Plymouth", "MI", 83.479946, 42.36882);
	City gibraltar = new City(48173, "Gibraltar", "MI", 83.216196, 42.07918);
	City romulus = new City(48174, "Romulus", "MI", 83.358288, 42.220304);
	City saline = new City(48176, "Saline", "MI", 83.784936, 42.169844);
	City duluth1 = new City(55806, "Duluth", "MN", 92.127871, 46.771457);
	City duluth2 = new City(55807, "Duluth", "MN", 92.169821, 46.740783);
	City duluth3 = new City(55808, "Duluth", "MN", 92.22261, 46.68100);
	
	ILo<City> mtcities = new MtLo<City>();
	ILo<City>  cities1 = new ConsLo<City>(this.northville,
			                new ConsLo<City>(this.plymouth,
					        new ConsLo<City>(this.duluth1,
					        		this.mtcities)));
	ILo<City>  cities2 = new ConsLo<City>(this.northville,
            				   new ConsLo<City>(this.plymouth,
	                        new ConsLo<City>(this.duluth1,
	        		           this.mtcities)));
	
	ILo<City>  allMI = new ConsLo<City>(this.gibraltar,
			   			 new ConsLo<City>(this.romulus,
			   			 new ConsLo<City>(this.saline,
			   			 this.mtcities)));
	
	ILo<City>  allMN = new ConsLo<City>(this.duluth1,
  			 			new ConsLo<City>(this.duluth2,
  			 			new ConsLo<City>(this.duluth3,
  			 			this.mtcities)));
	
	ILo<City> allcities = new ConsLo<City>(this.duluth1,
	 						 new ConsLo<City>(this.duluth2,
	 						 new ConsLo<City>(this.duluth3,
	 						 this.allMI)));

	public void testConverter(Tester t){
		// used in the constructor for the City
        t.checkExpect(12345, this.boston.decimal("12345"), "Zip code converter");
        t.checkExpect(2145, this.boston.decimal("02145"), "Zip code converter");
 
	}
	
	
	
	// helper method to print ArrayList
	public <T> String makeString(ArrayList<T> alist){
		String s = "ArrayList: ";
		int i = 0;
		while (i < alist.size()){
			s = s + alist.get(i) + ", \n";
			i = i + 1;
		}
		return s + "***";
	}
	
}